﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>

            <script type="text/javascript">
            var contextDate = null;
            function ShowContextMenu(e, stringDate)
            {
                var targetCell = FindTargetCell(e);
                //if the targetCell does not hava e DayId property, the clicked cell is not a Date cell
                if (typeof(targetCell.DayId) == "undefined")
                {
                    return;
                }
                contextDate = GetCellDate(targetCell);
                
                var contextMenu = $find("<%= RadMenu1.ClientID %>");
                contextMenu.show(e);
                
                //suppresses the default context menu of the browser:
                e.returnValue = false;
                if (e.preventDefault)
                    e.preventDefault();
            }
            
            function FindTargetCell(e)
            {
                var target = e.srcElement || e.target;
                while (target && target.tagName.toLowerCase() != "td")
                {
                    target = target.parentNode;
                }
                
                return target;
            }
            
            function GetCellDate(cell)
            {
                var tmp = cell.DayId.split("_");
                var year = tmp[tmp.length - 3];
                var month = tmp[tmp.length - 2];
                var day = tmp[tmp.length - 1];
                
                return new Date(year, (month - 1), day);
            }
            
            function OnClick(sender, args)
            {
                if (args.get_item().get_text() == "Log Date")
                    $get("log").innerHTML += contextDate.toDateString()+ "<br/>";
            }
            
            window.onload = function()
                {                    
                        $addHandler($get("RadCalendar1"), "contextmenu", ShowContextMenu);
                }
            </script>

            <telerik:RadCalendar ID="RadCalendar1" runat="server" Skin="Telerik">
            </telerik:RadCalendar>
            <telerik:RadContextMenu ID="RadMenu1" runat="server" Skin="Outlook"  OnClientItemClicked="OnClick">
                <Items>
                    <telerik:RadMenuItem Text="Log Date" />
                    <telerik:RadMenuItem Text="No action" />
                </Items>
            </telerik:RadContextMenu>

            <div id="log">
                &nbsp;</div>

    </form>
</body>
</html>
